/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*-----------------------------------------------------------------------------
 Includes
 -----------------------------------------------------------------------------*/
#include <cpl.h>
#include "sph_error.h"
#ifndef SPH_CUTEST_TEST_NGC_IR_SIMULATOR_H_
#define SPH_CUTEST_TEST_NGC_IR_SIMULATOR_H_

int cutest_init_test_ngc_simulator_testsuite(void);

int cutest_clean_test_ngc_simulator_testsuite(void);

void
cutest_test_ngc_simulator_raw_cube_from_frame(void);

void
cutest_test_ngc_simulator_new(void);
void cutest_test_ngc_simulator_raw_cube_from_frame_many_planes();
#endif /* SPH_CUTEST_TEST_NGC_IR_SIMULATOR_H_ */
